Upstream information

CVE-2022-24714 at MITRE

Description

Icinga Web 2 is an open source monitoring web interface, framework and command-line interface. Installations of Icinga 2 with the IDO writer enabled are affected. If you use service custom variables in role restrictions, and you regularly decommission service objects, users with said roles may still have access to a collection of content. Note that this only applies if a role has implicitly permitted access to hosts, due to permitted access to at least one of their services. If access to a host is permitted by other means, no sensible information has been disclosed to unauthorized users. This issue has been resolved in versions 2.8.6, 2.9.6 and 2.10 of Icinga Web 2.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:P/I:N/A:N
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database
Base Score 5.3
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact Low
Integrity Impact None
Availability Impact None
CVSSv3 Version 3.1
SUSE Bugzilla entry: 1196913 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Package Hub 12
  • icingacli >= 2.8.6-15.1
  • icingaweb2 >= 2.8.6-15.1
  • icingaweb2-common >= 2.8.6-15.1
  • icingaweb2-vendor-HTMLPurifier >= 2.8.6-15.1
  • icingaweb2-vendor-JShrink >= 2.8.6-15.1
  • icingaweb2-vendor-Parsedown >= 2.8.6-15.1
  • icingaweb2-vendor-dompdf >= 2.8.6-15.1
  • icingaweb2-vendor-lessphp >= 2.8.6-15.1
  • icingaweb2-vendor-zf1 >= 2.8.6-15.1
  • php-Icinga >= 2.8.6-15.1
Patchnames:
openSUSE-2022-87
SUSE Package Hub 15 SP3
  • icingacli >= 2.8.6-bp153.2.3.1
  • icingaweb2 >= 2.8.6-bp153.2.3.1
  • icingaweb2-common >= 2.8.6-bp153.2.3.1
  • icingaweb2-vendor-HTMLPurifier >= 2.8.6-bp153.2.3.1
  • icingaweb2-vendor-JShrink >= 2.8.6-bp153.2.3.1
  • icingaweb2-vendor-Parsedown >= 2.8.6-bp153.2.3.1
  • icingaweb2-vendor-dompdf >= 2.8.6-bp153.2.3.1
  • icingaweb2-vendor-lessphp >= 2.8.6-bp153.2.3.1
  • icingaweb2-vendor-zf1 >= 2.8.6-bp153.2.3.1
  • php-Icinga >= 2.8.6-bp153.2.3.1
Patchnames:
openSUSE-2022-97
openSUSE Leap 15.3
  • icingacli >= 2.8.6-bp153.2.3.1
  • icingaweb2 >= 2.8.6-bp153.2.3.1
  • icingaweb2-common >= 2.8.6-bp153.2.3.1
  • icingaweb2-vendor-HTMLPurifier >= 2.8.6-bp153.2.3.1
  • icingaweb2-vendor-JShrink >= 2.8.6-bp153.2.3.1
  • icingaweb2-vendor-Parsedown >= 2.8.6-bp153.2.3.1
  • icingaweb2-vendor-dompdf >= 2.8.6-bp153.2.3.1
  • icingaweb2-vendor-lessphp >= 2.8.6-bp153.2.3.1
  • icingaweb2-vendor-zf1 >= 2.8.6-bp153.2.3.1
  • php-Icinga >= 2.8.6-bp153.2.3.1
Patchnames:
openSUSE-2022-97